Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.theme.page
Class WindowContext

    java.lang.Object
      org.jboss.portal.theme.page.WindowContext

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable, ObjectRendererContext, WindowRendererContext

    public final class WindowContext

extends java.lang.Object
implements java.lang.Comparable, java.io.Serializable, WindowRendererContext

A WindowContext represents a portlet window on a page in the scope of one request.

It allows the layout gy for instance, to change the position of the window on the page (region, order) without persising the change. The change will only be valid for the term of the current request.

This context implements the `Comparable` interface to allow natural sorting of the windows in one region, based on their order.

Version:
  $Revision: 8784 $
Author:
  Martin Holzner
See Also:
  Serialized Form

Constructor Summary
`WindowContext(java.lang.String id, java.lang.String regionName, java.lang.String order, WindowResult result)`

Method Summary
`int` | `compareTo(java.lang.Object o)`
`boolean` | `equals(java.lang.Object o)`
`DecorationRendererContext` | `getDecoration()`
`java.lang.String` | `getId()`
`org.jboss.portal.Mode` | `getMode()`
`java.lang.String` | `getOrder()`
`PortletRendererContext` | `getPortlet()`
`java.util.Map` | `getProperties()`
`java.lang.String` | `getProperty(java.lang.String name)`
`java.lang.String` | `getRegionName()`
`WindowResult` | `getResult()`
`org.jboss.portal.WindowState` | `getWindowState()`
`int` | `hashCode()`
`void` | `setOrder(java.lang.String order)`
`void` | `setRegionName(java.lang.String regionName)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WindowContext

    public WindowContext(java.lang.String id,
                         java.lang.String regionName,
                         java.lang.String order,
                         WindowResult result)

Method Detail

### getId

    public java.lang.String getId()

  Specified by:
    `getId` in interface `WindowRendererContext`

### getOrder

    public java.lang.String getOrder()

  Specified by:
    `getOrder` in interface `WindowRendererContext`

### getRegionName

    public java.lang.String getRegionName()

### getWindowState

    public org.jboss.portal.WindowState getWindowState()

  Specified by:
    `getWindowState` in interface `WindowRendererContext`

### getMode

    public org.jboss.portal.Mode getMode()

  Specified by:
    `getMode` in interface `WindowRendererContext`

### getDecoration

    public DecorationRendererContext getDecoration()

  Specified by:
    `getDecoration` in interface `WindowRendererContext`

### getPortlet

    public PortletRendererContext getPortlet()

  Specified by:
    `getPortlet` in interface `WindowRendererContext`

### getProperty

    public java.lang.String getProperty(java.lang.String name)

  Specified by:
    `getProperty` in interface `ObjectRendererContext`

### getProperties

    public java.util.Map getProperties()

  Specified by:
    `getProperties` in interface `ObjectRendererContext`

### setRegionName

    public void setRegionName(java.lang.String regionName)

### setOrder

    public void setOrder(java.lang.String order)

### getResult

    public WindowResult getResult()

### compareTo

    public int compareTo(java.lang.Object o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD